Loading...
Searching...
No Matches
wavfile.h File Reference
`#include <cstdio>`
Include dependency graph for wavfile.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | gr::blocks::wav_header_info
| WAV file header information. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::blocks

## Typedefs

typedef gr::blocks::wavfile_format_t | wavfile_format_t
typedef gr::blocks::wavfile_subformat_t | wavfile_subformat_t

## Enumerations

enum | gr::blocks::wavfile_format_t { gr::blocks::FORMAT_WAV = 0x010000 , gr::blocks::FORMAT_FLAC = 0x170000 , gr::blocks::FORMAT_OGG = 0x200000 , gr::blocks::FORMAT_RF64 = 0x220000 }
enum | gr::blocks::wavfile_subformat_t { gr::blocks::FORMAT_PCM_S8 = 1 , gr::blocks::FORMAT_PCM_16 , gr::blocks::FORMAT_PCM_24 , gr::blocks::FORMAT_PCM_32 , gr::blocks::FORMAT_PCM_U8 , gr::blocks::FORMAT_FLOAT , gr::blocks::FORMAT_DOUBLE , gr::blocks::FORMAT_VORBIS = 0x0060 , gr::blocks::FORMAT_OPUS = 0x0064 }

## Typedef Documentation

## wavfile_format_t

typedef gr::blocks::wavfile_format_t wavfile_format_t

## wavfile_subformat_t

typedef gr::blocks::wavfile_subformat_t wavfile_subformat_t